Subject: 'split' feature request: an option to uses e.g. '.001' as first suffix.
From: SciFi <[email-masked]>
To: [email-masked]
Date: Thu, 14 Jul 2011 17:20:40 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

[Originally posted at <https://savannah.gnu.org/bugs/?22231> on Tue 05 Feb 2008 07:51:09 AM GMT:]

To create UseNet binary postings to match those made by others as close as possible, we need to create split files with 3-digit numeric suffixes.

The problem comes when 'split --numeric-suffixes --suffix-length=3' starts naming the files with .000 as the first suffix.  This causes great confusion among much of the UseNet userbase esp'ly those running M$ systems.  It seems the .000 file is reserved as some kind of index for their apps [MasterSplitter and others], and 'split's .000 file is rejected as "unknown format".

I know... I know... UNIX® was here well-before Mr Gates & company, but trying to explain to those users what to do (simply 'cat' or 'copy /b' all of the files in numeric order) is a chore.  We who use *ix-based systems (mine's OSX) do not furnish DOS .bat files for those users.  Yes I've received some public flack about this; I have no idea if those users ever were able to reconstruct the original files.

I'd like to suggest an option be added to 'split' that would let us begin naming the files with a suffix e.g. .001 or settable by a command-line option.  I don't know what would be a good name for this option (and whether it'd follow POSIX standards etc.).

I'm hoping by the absence of a .000 file in our UseNet posts, where the .001 file is really "the beginning", this would cause the M$-based tools to follow suit.

As an aside, most of us normally post several .par2 files, and some of us construct them in such a way that simply running a par2repair utility will recreate the original file automatically.  So, at least for my posts, that's what I'm telling users to do: just run your favorite par2 util, you don't need to 'copy /b' beforehand.  But it'd be best if we could cause 'split' to begin with the .001 file as explained above.

Thank you for letting me discuss this here.

[Today's Addendum I intended to add to the original report, for historical purposes if nothing else:]

I've found a few simple C pgms, all self-contained, that can be very-easily modified to do 3-digit suffixes starting at .001, such as 'bsplit.c'.  For example, these were discovered with internet search engines:
<http://www.linuxforums.org/forum/ubuntu-linux/148798-split-command-need-some-help.html#post707718>
<http://iraf.noao.edu/iraf/ftp/util/bsplit.c>

Nevertheless, it would be terribly nice to have GNU 'split' modify its suffix-generator logic to provide a bit more customization ability in this regard -- right now, the coding looks way-too complicated, too much for me to figure out how to rewrite it for a patch.  ;)

Thanks again.